package com.gmail.jeanchristophe;

import java.util.Optional;

import com.vaadin.flow.component.AbstractSinglePropertyField;
import com.vaadin.flow.component.PropertyDescriptor;
import com.vaadin.flow.component.PropertyDescriptors;
import com.vaadin.flow.component.Tag;
import com.vaadin.flow.component.dependency.HtmlImport;

@HtmlImport("bower_components/paper-tooltip/paper-tooltip.html")
@Tag("paper-tooltip")
public class PaperTooltip  extends AbstractSinglePropertyField<PaperTooltip, String> {

	private static final PropertyDescriptor<String, Optional<String>> textDescriptor = PropertyDescriptors.optionalAttributeWithDefault("text", "");
	private static final PropertyDescriptor<String, Optional<String>> forDescriptor = PropertyDescriptors.optionalAttributeWithDefault("for", "");

	public PaperTooltip() {
        super("text", "", false);
    }
	

	public void setText(String text) { set(textDescriptor, text); }

	public void setFor(String forText) { set(forDescriptor, forText); }

}